Bug 253910 - Review Request: ksirk - Turnbased multiplayer board strategy game (conquer the world!)
Review Request: ksirk - Turnbased multiplayer board strategy game (conquer th...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-22 16:54 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-11 13:39:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-08-22 16:54:38 EDT
Spec URL: http://people.atrpms.net/~hdegoede/ksirk.spec
SRPM URL: http://people.atrpms.net/~hdegoede/ksirk-1.7-1.fc8.src.rpm
Description:
KsirK is a computerized version of a well known strategy board game. In the
current version, KsirK is a usable multi-player mono-machine game with a basic
AI. The goal of the game is simply to conquer the World... It is done by
attacking your neighbors with your armies.
Comment 1 Gwyn Ciesla 2007-09-08 11:28:36 EDT
rpmlint is clean on RPM, but on SRPM: 

ksirk.src:35: E: hardcoded-library-path in %{_prefix}/lib/lib%{name}_*.la
A library path is hardcoded to one of the following paths: /lib,
/usr/lib. It should be replaced by something like /%{_lib} or %{_libdir}.

ksirk.src:39: E: hardcoded-library-path in %{_prefix}/lib/lib%{name}_*.so
A library path is hardcoded to one of the following paths: /lib,
/usr/lib. It should be replaced by something like /%{_lib} or %{_libdir}.

This should probably be patched, should it not?

Also, I see shared libs, but no ldconfig in post or postun.

Running a mock build to double-check BRs, but it otherwise looks great.
Comment 2 Hans de Goede 2007-09-08 11:46:14 EDT
(In reply to comment #1)
> rpmlint is clean on RPM, but on SRPM: 
> 
> ksirk.src:35: E: hardcoded-library-path in %{_prefix}/lib/lib%{name}_*.la
> A library path is hardcoded to one of the following paths: /lib,
> /usr/lib. It should be replaced by something like /%{_lib} or %{_libdir}.
> 
> ksirk.src:39: E: hardcoded-library-path in %{_prefix}/lib/lib%{name}_*.so
> A library path is hardcoded to one of the following paths: /lib,
> /usr/lib. It should be replaced by something like /%{_lib} or %{_libdir}.
> 

These get caused by these lines in the spec:
rm $RPM_BUILD_ROOT%{_prefix}/lib/lib%{name}_*.la
# these are unversioned libs, which are only used by ksirk itself
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
mv $RPM_BUILD_ROOT%{_prefix}/lib/lib%{name}_*.so \
  $RPM_BUILD_ROOT%{_libdir}/%{name}

Which move the lib from /usr/lib (wrong on 64 bit) to
%{_libdir}/%{name}, so the lines causing the warning actually fix the issue
reported by rpmlint :) Without these lines rpmlint won't complain and the result
will be wrong.

> Also, I see shared libs, but no ldconfig in post or postun.
> 

Correct, the .so files are only for ksirk and are unversioned, thus they get
installed in %{_libdir}/%{name} not just %{_libdir}. So ldconfig is not needed
(and would have no effect as it doesn't look in %{_libdir}/%{name} only in
%{_libdir} ).
Comment 3 Gwyn Ciesla 2007-09-08 12:26:47 EDT
Ok, that makes sense.  My mock build revealed a missing BR, gettext.  Add that
and you're set.
Comment 4 Hans de Goede 2007-09-08 13:53:28 EDT
(In reply to comment #3)
> Ok, that makes sense.  My mock build revealed a missing BR, gettext.  Add that
> and you're set.

Thanks!

Here is a new version with the missing BR added:
Spec URL: http://people.atrpms.net/~hdegoede/ksirk.spec
SRPM URL: http://people.atrpms.net/~hdegoede/ksirk-1.7-2.fc8.src.rpm
Comment 5 Gwyn Ciesla 2007-09-08 14:20:28 EDT
Superlative.  Approved!
Comment 6 Hans de Goede 2007-09-08 15:03:38 EDT
New Package CVS Request
=======================
Package Name:      ksirk
Short Description: Turnbased multiplayer board strategy game (conquer the world!)
Owners:            jwrdegoede
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2007-09-09 18:34:43 EDT
cvs done.
Comment 8 Hans de Goede 2007-09-11 13:39:22 EDT
Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.